//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2014.02.19 at 04:58:52 PM CET 
//


package net.ihe.gazelle.xdstar.xdstools2;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{}CodeType" maxOccurs="unbounded"/>
 *         &lt;element ref="{}AssigningAuthority" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "codeType",
    "assigningAuthority"
})
@XmlRootElement(name = "Codes")
public class Codes {

    @XmlElement(name = "CodeType", required = true)
    protected List<CodeType> codeType;
    @XmlElement(name = "AssigningAuthority", required = true)
    protected List<AssigningAuthority> assigningAuthority;

    /**
     * Gets the value of the codeType property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the codeType property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCodeType().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CodeType }
     * 
     * 
     */
    public List<CodeType> getCodeType() {
        if (codeType == null) {
            codeType = new ArrayList<CodeType>();
        }
        return this.codeType;
    }

    /**
     * Gets the value of the assigningAuthority property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the assigningAuthority property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAssigningAuthority().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AssigningAuthority }
     * 
     * 
     */
    public List<AssigningAuthority> getAssigningAuthority() {
        if (assigningAuthority == null) {
            assigningAuthority = new ArrayList<AssigningAuthority>();
        }
        return this.assigningAuthority;
    }

}
